#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull linuxserver/bazarr:version-v0.9.0.7 

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep Bazarr | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=Bazarr \
	-p 16767:6767 \
	-e PUID=$C_UID -e PGID=$ADMIN_GID \
	-v /etc/localtime:/etc/localtime:ro \
	-v /share/Docker/Bazarr/config:/config:rw \
	-v /share/Docker/Radarr/movies:/movies:rw \
	-v /share/Docker/Sonarr/tv:/tv:rw \
	-v /share:/shared:rw \
	--restart unless-stopped \
	linuxserver/bazarr:version-v0.9.0.7 

docker start Bazarr


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep linuxserver/bazarr | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

# The followings can be removed from next release.
imold=$(docker images | grep linuxserver/bazarr | grep latest | awk '{print $3}')
echo $imold
		
if [ ! -z $imold ]; then 
	docker rmi -f $imold
fi

exit 0
